SDL_GetPenType(3)

NAME
SDL_GetPenType - Retrieves the pen type for a given SDL_PenID .

HEADER FILE
Defined in SDL3/SDL_pen.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_PenSubtype SDL_GetPenType(SDL_PenID instance_id);

FUNCTION PARAMETERS

instance_id
    The pen to query.

RETURN VALUE
Returns The corresponding pen type (cf. SDL_PenSubtype ) or 0 on error. Note that the pen type does not dictate whether the pen tip is SDL_PEN_TIP_INK
 or SDL_PEN_TIP_ERASER ; to determine whether a pen is being used for drawing or in eraser mode, check either the pen tip on SDL_EVENT_PEN_DOWN , or the flag SDL_PEN_ERASER_MASK
 in the pen state.

AVAILABILITY
This function is available since SDL 3.0.0.